Bug 1270953 - In the settings: There is no way to make an "Administrator user" normal user again.
In the settings: There is no way to make an "Administrator user" normal user ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 14:17 EDT by Andreas Tunek
Modified: 2016-07-19 14:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:11:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Tunek 2015-10-12 14:17:13 EDT
In the settings you can make a user an "Administrator", but there is no way to revert the user back to a normal user again.

This might be filed to the wrong component, but I do not know which component it sould be filed under.
Comment 1 Florian Müllner 2015-10-15 10:53:43 EDT
(In reply to Andreas Tunek from comment #0)
> I do not know which component it sould be filed under.

No problem - the component for "Settings" is "control-center".
Comment 2 Ondrej Holy 2015-10-16 08:50:15 EDT
It is intentional to not allow demotion of the last administrator account. However this might be allowed if there is configured root account...
Comment 3 Andreas Tunek 2015-10-17 09:27:36 EDT
I would argue that if you make an unreversible change you should somehow inform the user that you can't revert the setting. This leads to a lot of problems, the system asks for a specific users password instead of the root password when you want to install programs for example.
Comment 4 Fedora End Of Life 2016-07-19 14:11:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.